/v1/conversations/{id}/design (PUT)
PUT
/v1/conversations/{id}/design
const url = 'https://service.testing.nairon.cloud/v1/conversations/example/design';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"schemaVersion":"cd/1","entry":{"stepId":"example","alternates":["example"]},"steps":{"additionalProperty":{"kind":"greeting","name":"example","introLine":"example","persona":{"whoAmI":"example","purpose":"example"},"on":{"next":"example"}}},"knowledge":[{"id":"example","kind":"knowledgeBase","knowledgeBaseId":"example"}],"variables":[{"id":"example","name":"example","type":"text"}],"integrations":[{"id":"example","kind":"crm","integrationId":"example"}],"hooks":{"before":{"rootNodeId":"example","entryPoints":{"additionalProperty":"example"},"nodes":{"additionalProperty":{"id":"example","name":"example","next":{"hookNode":"example","step":"example","end":true},"webhook":{"url":"example","headers":{"additionalProperty":"example"},"secretHint":"example","signatureHeader":"example","payload":[{"id":"example","key":"example","source":"variable","systemVariable":"example","variableId":"example","value":"example","aiPrompt":"example"}],"timeoutSeconds":1,"responseVariableId":"example","responsePath":"example"},"fetch":{"url":"example","method":"GET","query":{"additionalProperty":"example"},"headers":{"additionalProperty":"example"},"body":[{"id":"example","key":"example","source":"variable","systemVariable":"example","variableId":"example","value":"example","aiPrompt":"example"}],"responseFormat":"json","responseMappings":[{"id":"example","variableId":"example","path":"example","transform":"auto","defaultValue":"example"}]},"condition":{"mode":"logic","branches":[{"id":"example","label":"example","predicate":{"variable":{"systemVariable":"example","variableId":"example"},"operator":"eq","value":"example"},"next":{"hookNode":"example","step":"example","end":true}}],"else":{"hookNode":"example","step":"example","end":true}},"setVariable":{"variableId":"example","value":"example"},"sendSms":{"to":{"systemVariable":"example","variableId":"example","literalString":"example"},"message":"example"},"crmLookup":{"integrationRef":"example","matchBy":["phone"],"phoneSource":{"systemVariable":"example","variableId":"example"},"emailSource":{"systemVariable":"example","variableId":"example"},"fieldMappings":[{"id":"example","field":"example","variableId":"example","defaultValue":"example"}],"includePrimaryDeal":true,"onNotFound":{"hookNode":"example","step":"example","end":true}},"crmWrite":{"integrationRef":"example","contactIdSource":{"systemVariable":"example","variableId":"example"},"createContactIfMissing":true,"operations":["log_call"],"logCall":{"subjectTemplate":"example","includeTranscript":true,"includeSummary":true,"includeRecordingUrl":true},"createNote":{"bodyTemplate":"example"},"updateContact":{"propertyMappings":[{"id":"example","property":"example","propertyLabel":"example","source":"variable","systemVariable":"example","variableId":"example","value":"example","aiPrompt":"example"}]}}}}},"after":{"entryPoints":{"additionalProperty":"example"},"prematureHangupNodeId":"example","nodes":{"additionalProperty":{"id":"example","name":"example","next":{"hookNode":"example","step":"example","end":true},"webhook":{"url":"example","headers":{"additionalProperty":"example"},"secretHint":"example","signatureHeader":"example","payload":[{"id":"example","key":"example","source":"variable","systemVariable":"example","variableId":"example","value":"example","aiPrompt":"example"}],"timeoutSeconds":1,"responseVariableId":"example","responsePath":"example"},"fetch":{"url":"example","method":"GET","query":{"additionalProperty":"example"},"headers":{"additionalProperty":"example"},"body":[{"id":"example","key":"example","source":"variable","systemVariable":"example","variableId":"example","value":"example","aiPrompt":"example"}],"responseFormat":"json","responseMappings":[{"id":"example","variableId":"example","path":"example","transform":"auto","defaultValue":"example"}]},"condition":{"mode":"logic","branches":[{"id":"example","label":"example","predicate":{"variable":{"systemVariable":"example","variableId":"example"},"operator":"eq","value":"example"},"next":{"hookNode":"example","step":"example","end":true}}],"else":{"hookNode":"example","step":"example","end":true}},"setVariable":{"variableId":"example","value":"example"},"sendSms":{"to":{"systemVariable":"example","variableId":"example","literalString":"example"},"message":"example"},"crmLookup":{"integrationRef":"example","matchBy":["phone"],"phoneSource":{"systemVariable":"example","variableId":"example"},"emailSource":{"systemVariable":"example","variableId":"example"},"fieldMappings":[{"id":"example","field":"example","variableId":"example","defaultValue":"example"}],"includePrimaryDeal":true,"onNotFound":{"hookNode":"example","step":"example","end":true}},"crmWrite":{"integrationRef":"example","contactIdSource":{"systemVariable":"example","variableId":"example"},"createContactIfMissing":true,"operations":["log_call"],"logCall":{"subjectTemplate":"example","includeTranscript":true,"includeSummary":true,"includeRecordingUrl":true},"createNote":{"bodyTemplate":"example"},"updateContact":{"propertyMappings":[{"id":"example","property":"example","propertyLabel":"example","source":"variable","systemVariable":"example","variableId":"example","value":"example","aiPrompt":"example"}]}}}}}},"compliance":{"aiDisclosure":{"additionalProperty":{"status":"approved","checkedText":"example","reason":"example"}}},"layout":{"additionalProperty":{"x":1,"y":1}}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://service.testing.nairon.cloud/v1/conversations/example/design \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "schemaVersion": "cd/1", "entry": { "stepId": "example", "alternates": [ "example" ] }, "steps": { "additionalProperty": { "kind": "greeting", "name": "example", "introLine": "example", "persona": { "whoAmI": "example", "purpose": "example" }, "on": { "next": "example" } } }, "knowledge": [ { "id": "example", "kind": "knowledgeBase", "knowledgeBaseId": "example" } ], "variables": [ { "id": "example", "name": "example", "type": "text" } ], "integrations": [ { "id": "example", "kind": "crm", "integrationId": "example" } ], "hooks": { "before": { "rootNodeId": "example", "entryPoints": { "additionalProperty": "example" }, "nodes": { "additionalProperty": { "id": "example", "name": "example", "next": { "hookNode": "example", "step": "example", "end": true }, "webhook": { "url": "example", "headers": { "additionalProperty": "example" }, "secretHint": "example", "signatureHeader": "example", "payload": [ { "id": "example", "key": "example", "source": "variable", "systemVariable": "example", "variableId": "example", "value": "example", "aiPrompt": "example" } ], "timeoutSeconds": 1, "responseVariableId": "example", "responsePath": "example" }, "fetch": { "url": "example", "method": "GET", "query": { "additionalProperty": "example" }, "headers": { "additionalProperty": "example" }, "body": [ { "id": "example", "key": "example", "source": "variable", "systemVariable": "example", "variableId": "example", "value": "example", "aiPrompt": "example" } ], "responseFormat": "json", "responseMappings": [ { "id": "example", "variableId": "example", "path": "example", "transform": "auto", "defaultValue": "example" } ] }, "condition": { "mode": "logic", "branches": [ { "id": "example", "label": "example", "predicate": { "variable": { "systemVariable": "example", "variableId": "example" }, "operator": "eq", "value": "example" }, "next": { "hookNode": "example", "step": "example", "end": true } } ], "else": { "hookNode": "example", "step": "example", "end": true } }, "setVariable": { "variableId": "example", "value": "example" }, "sendSms": { "to": { "systemVariable": "example", "variableId": "example", "literalString": "example" }, "message": "example" }, "crmLookup": { "integrationRef": "example", "matchBy": [ "phone" ], "phoneSource": { "systemVariable": "example", "variableId": "example" }, "emailSource": { "systemVariable": "example", "variableId": "example" }, "fieldMappings": [ { "id": "example", "field": "example", "variableId": "example", "defaultValue": "example" } ], "includePrimaryDeal": true, "onNotFound": { "hookNode": "example", "step": "example", "end": true } }, "crmWrite": { "integrationRef": "example", "contactIdSource": { "systemVariable": "example", "variableId": "example" }, "createContactIfMissing": true, "operations": [ "log_call" ], "logCall": { "subjectTemplate": "example", "includeTranscript": true, "includeSummary": true, "includeRecordingUrl": true }, "createNote": { "bodyTemplate": "example" }, "updateContact": { "propertyMappings": [ { "id": "example", "property": "example", "propertyLabel": "example", "source": "variable", "systemVariable": "example", "variableId": "example", "value": "example", "aiPrompt": "example" } ] } } } } }, "after": { "entryPoints": { "additionalProperty": "example" }, "prematureHangupNodeId": "example", "nodes": { "additionalProperty": { "id": "example", "name": "example", "next": { "hookNode": "example", "step": "example", "end": true }, "webhook": { "url": "example", "headers": { "additionalProperty": "example" }, "secretHint": "example", "signatureHeader": "example", "payload": [ { "id": "example", "key": "example", "source": "variable", "systemVariable": "example", "variableId": "example", "value": "example", "aiPrompt": "example" } ], "timeoutSeconds": 1, "responseVariableId": "example", "responsePath": "example" }, "fetch": { "url": "example", "method": "GET", "query": { "additionalProperty": "example" }, "headers": { "additionalProperty": "example" }, "body": [ { "id": "example", "key": "example", "source": "variable", "systemVariable": "example", "variableId": "example", "value": "example", "aiPrompt": "example" } ], "responseFormat": "json", "responseMappings": [ { "id": "example", "variableId": "example", "path": "example", "transform": "auto", "defaultValue": "example" } ] }, "condition": { "mode": "logic", "branches": [ { "id": "example", "label": "example", "predicate": { "variable": { "systemVariable": "example", "variableId": "example" }, "operator": "eq", "value": "example" }, "next": { "hookNode": "example", "step": "example", "end": true } } ], "else": { "hookNode": "example", "step": "example", "end": true } }, "setVariable": { "variableId": "example", "value": "example" }, "sendSms": { "to": { "systemVariable": "example", "variableId": "example", "literalString": "example" }, "message": "example" }, "crmLookup": { "integrationRef": "example", "matchBy": [ "phone" ], "phoneSource": { "systemVariable": "example", "variableId": "example" }, "emailSource": { "systemVariable": "example", "variableId": "example" }, "fieldMappings": [ { "id": "example", "field": "example", "variableId": "example", "defaultValue": "example" } ], "includePrimaryDeal": true, "onNotFound": { "hookNode": "example", "step": "example", "end": true } }, "crmWrite": { "integrationRef": "example", "contactIdSource": { "systemVariable": "example", "variableId": "example" }, "createContactIfMissing": true, "operations": [ "log_call" ], "logCall": { "subjectTemplate": "example", "includeTranscript": true, "includeSummary": true, "includeRecordingUrl": true }, "createNote": { "bodyTemplate": "example" }, "updateContact": { "propertyMappings": [ { "id": "example", "property": "example", "propertyLabel": "example", "source": "variable", "systemVariable": "example", "variableId": "example", "value": "example", "aiPrompt": "example" } ] } } } } } }, "compliance": { "aiDisclosure": { "additionalProperty": { "status": "approved", "checkedText": "example", "reason": "example" } } }, "layout": { "additionalProperty": { "x": 1, "y": 1 } } }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: cuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
schemaVersion
required
string
entry
required
object
stepId
required
string
alternates
Array<string>
steps
required
object
key
additional properties
One of:
object
kind
required
string
name
string
introLine
string
persona
object
whoAmI
string
purpose
string
on
required
object
next
string
object
kind
required
string
name
string
topic
required
string
knowledgeRefs
Array<string>
strict
boolean
on
required
object
done
string
offTopic
string
object
kind
required
string
name
string
ask
boolean
question
string
options
Array<object>
object
id
required
string
title
string
description
string
target
string
on
required
object
default
string
object
kind
required
string
name
string
format
required
string
prompt
required
string
variable
string
on
required
object
answered
string
fallback
string
object
kind
required
string
name
string
prompt
required
string
variable
string
timeoutSeconds
integer
on
required
object
completed
string
timeout
string
object
kind
required
string
name
string
prompt
required
string
on
required
object
yes
string
no
string
object
kind
required
string
name
string
prompt
required
string
on
required
object
consent
string
decline
string
object
kind
required
string
name
string
summarize
boolean
allowCancel
boolean
on
required
object
cancel
string
object
kind
required
string
name
string
target
required
object
type
required
string
phoneNumber
string
timeoutSeconds
integer
on
required
object
timeout
string
object
kind
required
string
name
string
schedule
string
timeFrames
Array<object>
object
day
required
string
startTime
required
string
endTime
required
string
askForName
boolean
integrationRef
string
on
required
object
success
string
failure
string
knowledge
variables
Array<object>
object
id
required
string
name
string
type
required
string
integrations
Array<object>
object
id
required
string
kind
required
string
integrationId
required
string
hooks
object
before
object
rootNodeId
string
entryPoints
object
key
additional properties
string
nodes
required
object
key
additional properties
object
id
required
string
name
string
next
object
hookNode
string
step
string
end
boolean
webhook
object
url
required
string
headers
object
key
additional properties
string
secretHint
string
signatureHeader
string
payload
required
Array<object>
object
id
required
string
key
required
string
source
required
string
systemVariable
string
variableId
string
value
string
aiPrompt
string
timeoutSeconds
integer
responseVariableId
string
responsePath
string
fetch
object
url
required
string
method
required
string
query
object
key
additional properties
string
headers
object
key
additional properties
string
body
Array<object>
object
id
required
string
key
required
string
source
required
string
systemVariable
string
variableId
string
value
string
aiPrompt
string
responseFormat
string
responseMappings
required
Array<object>
object
id
required
string
variableId
required
string
path
string
transform
string
defaultValue
string
condition
One of:
object
mode
required
string
branches
required
Array<object>
object
id
required
string
label
required
string
predicate
required
object
variable
required
object
systemVariable
string
variableId
string
operator
required
string
value
string
next
required
object
hookNode
string
step
string
end
boolean
else
required
object
hookNode
string
step
string
end
boolean
object
mode
required
string
prompt
required
string
branches
required
Array<object>
object
id
required
string
label
required
string
description
required
string
next
required
object
hookNode
string
step
string
end
boolean
else
required
object
hookNode
string
step
string
end
boolean
setVariable
object
variableId
required
string
value
required
string
sendSms
object
to
required
object
systemVariable
string
variableId
string
literalString
string
message
required
string
crmLookup
object
integrationRef
required
string
matchBy
required
Array<string>
phoneSource
object
systemVariable
string
variableId
string
emailSource
object
systemVariable
string
variableId
string
fieldMappings
required
Array<object>
object
id
required
string
field
required
string
variableId
required
string
defaultValue
string
includePrimaryDeal
boolean
onNotFound
object
hookNode
string
step
string
end
boolean
crmWrite
object
integrationRef
required
string
contactIdSource
required
object
systemVariable
string
variableId
string
createContactIfMissing
boolean
operations
required
Array<string>
logCall
object
subjectTemplate
string
includeTranscript
required
boolean
includeSummary
required
boolean
includeRecordingUrl
required
boolean
createNote
object
bodyTemplate
required
string
updateContact
object
propertyMappings
required
Array<object>
object
id
required
string
property
required
string
propertyLabel
string
source
required
string
systemVariable
string
variableId
string
value
string
aiPrompt
string
after
object
entryPoints
object
key
additional properties
string
prematureHangupNodeId
string
nodes
required
object
key
additional properties
object
id
required
string
name
string
next
object
hookNode
string
step
string
end
boolean
webhook
object
url
required
string
headers
object
key
additional properties
string
secretHint
string
signatureHeader
string
payload
required
Array<object>
object
id
required
string
key
required
string
source
required
string
systemVariable
string
variableId
string
value
string
aiPrompt
string
timeoutSeconds
integer
responseVariableId
string
responsePath
string
fetch
object
url
required
string
method
required
string
query
object
key
additional properties
string
headers
object
key
additional properties
string
body
Array<object>
object
id
required
string
key
required
string
source
required
string
systemVariable
string
variableId
string
value
string
aiPrompt
string
responseFormat
string
responseMappings
required
Array<object>
object
id
required
string
variableId
required
string
path
string
transform
string
defaultValue
string
condition
One of:
object
mode
required
string
branches
required
Array<object>
object
id
required
string
label
required
string
predicate
required
object
variable
required
object
systemVariable
string
variableId
string
operator
required
string
value
string
next
required
object
hookNode
string
step
string
end
boolean
else
required
object
hookNode
string
step
string
end
boolean
object
mode
required
string
prompt
required
string
branches
required
Array<object>
object
id
required
string
label
required
string
description
required
string
next
required
object
hookNode
string
step
string
end
boolean
else
required
object
hookNode
string
step
string
end
boolean
setVariable
object
variableId
required
string
value
required
string
sendSms
object
to
required
object
systemVariable
string
variableId
string
literalString
string
message
required
string
crmLookup
object
integrationRef
required
string
matchBy
required
Array<string>
phoneSource
object
systemVariable
string
variableId
string
emailSource
object
systemVariable
string
variableId
string
fieldMappings
required
Array<object>
object
id
required
string
field
required
string
variableId
required
string
defaultValue
string
includePrimaryDeal
boolean
onNotFound
object
hookNode
string
step
string
end
boolean
crmWrite
object
integrationRef
required
string
contactIdSource
required
object
systemVariable
string
variableId
string
createContactIfMissing
boolean
operations
required
Array<string>
logCall
object
subjectTemplate
string
includeTranscript
required
boolean
includeSummary
required
boolean
includeRecordingUrl
required
boolean
createNote
object
bodyTemplate
required
string
updateContact
object
propertyMappings
required
Array<object>
object
id
required
string
property
required
string
propertyLabel
string
source
required
string
systemVariable
string
variableId
string
value
string
aiPrompt
string
compliance
object
aiDisclosure
object
key
additional properties
object
status
required
string
checkedText
required
string
reason
string
layout
object
key
additional properties
object
x
required
number
y
required
number
Responses
Section titled “Responses”Default Response
Media typeapplication/json
object
schemaVersion
required
string
entry
required
object
stepId
required
string
alternates
Array<string>
steps
required
object
key
additional properties
One of:
object
kind
required
string
name
string
introLine
string
persona
object
whoAmI
string
purpose
string
on
required
object
next
string
object
kind
required
string
name
string
topic
required
string
knowledgeRefs
Array<string>
strict
boolean
on
required
object
done
string
offTopic
string
object
kind
required
string
name
string
ask
boolean
question
string
options
Array<object>
object
id
required
string
title
string
description
string
target
string
on
required
object
default
string
object
kind
required
string
name
string
format
required
string
prompt
required
string
variable
string
on
required
object
answered
string
fallback
string
object
kind
required
string
name
string
prompt
required
string
variable
string
timeoutSeconds
integer
on
required
object
completed
string
timeout
string
object
kind
required
string
name
string
prompt
required
string
on
required
object
yes
string
no
string
object
kind
required
string
name
string
prompt
required
string
on
required
object
consent
string
decline
string
object
kind
required
string
name
string
summarize
boolean
allowCancel
boolean
on
required
object
cancel
string
object
kind
required
string
name
string
target
required
object
type
required
string
phoneNumber
string
timeoutSeconds
integer
on
required
object
timeout
string
object
kind
required
string
name
string
schedule
string
timeFrames
Array<object>
object
day
required
string
startTime
required
string
endTime
required
string
askForName
boolean
integrationRef
string
on
required
object
success
string
failure
string
knowledge
variables
Array<object>
object
id
required
string
name
string
type
required
string
integrations
Array<object>
object
id
required
string
kind
required
string
integrationId
required
string
hooks
object
before
object
rootNodeId
string
entryPoints
object
key
additional properties
string
nodes
required
object
key
additional properties
object
id
required
string
name
string
next
object
hookNode
string
step
string
end
boolean
webhook
object
url
required
string
headers
object
key
additional properties
string
secretHint
string
signatureHeader
string
payload
required
Array<object>
object
id
required
string
key
required
string
source
required
string
systemVariable
string
variableId
string
value
string
aiPrompt
string
timeoutSeconds
integer
responseVariableId
string
responsePath
string
fetch
object
url
required
string
method
required
string
query
object
key
additional properties
string
headers
object
key
additional properties
string
body
Array<object>
object
id
required
string
key
required
string
source
required
string
systemVariable
string
variableId
string
value
string
aiPrompt
string
responseFormat
string
responseMappings
required
Array<object>
object
id
required
string
variableId
required
string
path
string
transform
string
defaultValue
string
condition
One of:
object
mode
required
string
branches
required
Array<object>
object
id
required
string
label
required
string
predicate
required
object
variable
required
object
systemVariable
string
variableId
string
operator
required
string
value
string
next
required
object
hookNode
string
step
string
end
boolean
else
required
object
hookNode
string
step
string
end
boolean
object
mode
required
string
prompt
required
string
branches
required
Array<object>
object
id
required
string
label
required
string
description
required
string
next
required
object
hookNode
string
step
string
end
boolean
else
required
object
hookNode
string
step
string
end
boolean
setVariable
object
variableId
required
string
value
required
string
sendSms
object
to
required
object
systemVariable
string
variableId
string
literalString
string
message
required
string
crmLookup
object
integrationRef
required
string
matchBy
required
Array<string>
phoneSource
object
systemVariable
string
variableId
string
emailSource
object
systemVariable
string
variableId
string
fieldMappings
required
Array<object>
object
id
required
string
field
required
string
variableId
required
string
defaultValue
string
includePrimaryDeal
boolean
onNotFound
object
hookNode
string
step
string
end
boolean
crmWrite
object
integrationRef
required
string
contactIdSource
required
object
systemVariable
string
variableId
string
createContactIfMissing
boolean
operations
required
Array<string>
logCall
object
subjectTemplate
string
includeTranscript
required
boolean
includeSummary
required
boolean
includeRecordingUrl
required
boolean
createNote
object
bodyTemplate
required
string
updateContact
object
propertyMappings
required
Array<object>
object
id
required
string
property
required
string
propertyLabel
string
source
required
string
systemVariable
string
variableId
string
value
string
aiPrompt
string
after
object
entryPoints
object
key
additional properties
string
prematureHangupNodeId
string
nodes
required
object
key
additional properties
object
id
required
string
name
string
next
object
hookNode
string
step
string
end
boolean
webhook
object
url
required
string
headers
object
key
additional properties
string
secretHint
string
signatureHeader
string
payload
required
Array<object>
object
id
required
string
key
required
string
source
required
string
systemVariable
string
variableId
string
value
string
aiPrompt
string
timeoutSeconds
integer
responseVariableId
string
responsePath
string
fetch
object
url
required
string
method
required
string
query
object
key
additional properties
string
headers
object
key
additional properties
string
body
Array<object>
object
id
required
string
key
required
string
source
required
string
systemVariable
string
variableId
string
value
string
aiPrompt
string
responseFormat
string
responseMappings
required
Array<object>
object
id
required
string
variableId
required
string
path
string
transform
string
defaultValue
string
condition
One of:
object
mode
required
string
branches
required
Array<object>
object
id
required
string
label
required
string
predicate
required
object
variable
required
object
systemVariable
string
variableId
string
operator
required
string
value
string
next
required
object
hookNode
string
step
string
end
boolean
else
required
object
hookNode
string
step
string
end
boolean
object
mode
required
string
prompt
required
string
branches
required
Array<object>
object
id
required
string
label
required
string
description
required
string
next
required
object
hookNode
string
step
string
end
boolean
else
required
object
hookNode
string
step
string
end
boolean
setVariable
object
variableId
required
string
value
required
string
sendSms
object
to
required
object
systemVariable
string
variableId
string
literalString
string
message
required
string
crmLookup
object
integrationRef
required
string
matchBy
required
Array<string>
phoneSource
object
systemVariable
string
variableId
string
emailSource
object
systemVariable
string
variableId
string
fieldMappings
required
Array<object>
object
id
required
string
field
required
string
variableId
required
string
defaultValue
string
includePrimaryDeal
boolean
onNotFound
object
hookNode
string
step
string
end
boolean
crmWrite
object
integrationRef
required
string
contactIdSource
required
object
systemVariable
string
variableId
string
createContactIfMissing
boolean
operations
required
Array<string>
logCall
object
subjectTemplate
string
includeTranscript
required
boolean
includeSummary
required
boolean
includeRecordingUrl
required
boolean
createNote
object
bodyTemplate
required
string
updateContact
object
propertyMappings
required
Array<object>
object
id
required
string
property
required
string
propertyLabel
string
source
required
string
systemVariable
string
variableId
string
value
string
aiPrompt
string
compliance
object
aiDisclosure
object
key
additional properties
object
status
required
string
checkedText
required
string
reason
string
layout
object
key
additional properties
object
x
required
number
y
required
number
Example
{ "schemaVersion": "cd/1", "steps": { "additionalProperty": { "kind": "greeting" } }, "knowledge": [ { "kind": "knowledgeBase" } ], "variables": [ { "type": "text" } ], "integrations": [ { "kind": "crm" } ], "hooks": { "before": { "nodes": { "additionalProperty": { "next": { "end": true }, "webhook": { "payload": [ { "source": "variable" } ] }, "fetch": { "method": "GET", "body": [ { "source": "variable" } ], "responseFormat": "json", "responseMappings": [ { "transform": "auto" } ] }, "condition": { "mode": "logic", "branches": [ { "predicate": { "operator": "eq" }, "next": { "end": true } } ], "else": { "end": true } }, "crmLookup": { "matchBy": [ "phone" ], "onNotFound": { "end": true } }, "crmWrite": { "operations": [ "log_call" ], "updateContact": { "propertyMappings": [ { "source": "variable" } ] } } } } }, "after": { "nodes": { "additionalProperty": { "next": { "end": true }, "webhook": { "payload": [ { "source": "variable" } ] }, "fetch": { "method": "GET", "body": [ { "source": "variable" } ], "responseFormat": "json", "responseMappings": [ { "transform": "auto" } ] }, "condition": { "mode": "logic", "branches": [ { "predicate": { "operator": "eq" }, "next": { "end": true } } ], "else": { "end": true } }, "crmLookup": { "matchBy": [ "phone" ], "onNotFound": { "end": true } }, "crmWrite": { "operations": [ "log_call" ], "updateContact": { "propertyMappings": [ { "source": "variable" } ] } } } } } }, "compliance": { "aiDisclosure": { "additionalProperty": { "status": "approved" } } }}